Package javax.validation.metadata

# Interface PropertyDescriptor

All Superinterfaces:
  `CascadableDescriptor`, `ElementDescriptor`

public interface PropertyDescriptor extends ElementDescriptor, CascadableDescriptor

Version:
  $Rev$ $Date$

## Nested Class Summary

## Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

`ElementDescriptor.ConstraintFinder`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPropertyName()`

### Methods inherited from interface javax.validation.metadata.CascadableDescriptor

`getGroupConversions, isCascaded`

### Methods inherited from interface javax.validation.metadata.ElementDescriptor

`findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

## Method Details

### getPropertyName

String getPropertyName()